<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2006 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.db
 */
/**
 * @file DatabaseConstants.php
 * @brief database constants
 * @author <a href="mailto:kent@guarana.cc">ISHITOYA Kentaro</a>
 * @version $Id: DatabaseConstants.php 2 2007-07-11 10:37:48Z ishitoya $
 * 
 * database constants
 */

/**
 * @interface Ficus_DatabaseConstants
 */
interface Ficus_DatabaseConstants
{
    const PARAM_LOB = "lob";
    const PARAM_TEXT = "text";
    const TYPE_INDEX = 1;
    const VALUE_INDEX = 0;

    const SQLSTATE_OK = "00";
    const SQLSTATE_WARN = "01";
    const SQLSTATE_E_NODATA = "02";
    const SQLSTATE_E_DYNAMIC = "07";
    const SQLSTATE_E_CONNECTION = "08";
    //@todo write down SQLSTATEs
}
?>
