<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2007 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.net
 */
/**
 * @file MailtoURI.php
 * @brief MailtoURI
 * @author <a href="mailto:sumi@wakhok.ac.jp">SUMI Masafumi</a>
 * @version $Id: MailtoURI.php 2 2007-07-11 10:37:48Z ishitoya $
 * 
 * MailtoURI
 */

require_once("ficus/net/OpaqueURI.php");

/**
 * @class Ficus_MailtoURI
 */
class Ficus_MailtoURI extends Ficus_OpaqueURI {

    /**
     * Get default scheme.
     *
     * @return string scheme name.
     */
    final public function getDefaultScheme() {
        return 'mailto';
    }

    /**
     * Get mail address.
     *
     * @return string mail address.
     */
    public function getMail() {
        return $this->getPath();
    }

    /**
     * Get raw mail address.
     *
     * @return string raw mail address.
     */
    public function getRawMail() {
        return $this->getRawPath();
    }

    /**
     * Get mail address.
     *
     * @return string mail address.
     */
    public function getMailAddress() {
        return $this->getMail();
    }

    /**
     * Get raw mail address.
     *
     * @return string raw mail address.
     */
    public function getRawMailAddress() {
        return $this->getRawMail();
    }

}
?>
