<?php 
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2007 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.pages.scaffold.container
 */
/**
 * @file ScaffoldPartsFactory.php
 * @brief ScaffoldPartsFactory.
 * @author <a href="mailto:kent@guarana.cc">ISHITOYA Kentaro</a>
 * @version $Id: ScaffoldPartsFactory.php 2 2007-07-11 10:37:48Z ishitoya $
 *
 */


/**
 * @class Ficus_ScaffoldPartsFactory
 */
class Ficus_ScaffoldPartsFactory
implements Ficus_S2DaoModelConstants{
    const SUFFIX = "ScaffoldPart";
    const PACKAGE = "interface.";

    /**
     * create part
     * @param $context string context
     * @param $property string property name
     * @param $type string type of part
     * @param $datatype string datatype of part
     * @return Ficus_ScaffoldPart part
     */
    public static function create($property, $type, $datatype){
        $component = self::PACKAGE . "Ficus_Concrete" . self::SUFFIX;
        $component = Ficus_ClassLoader::load($component);
        return $component;
    }
}
?>